# Deployments: list

**Caution:** This is a **deprecated** version of the Deployment Manager API. Please use the [latest API version](https://docs.cloud.google.com/deployment-manager/latest) instead.


**Requires [authorization](https://docs.cloud.google.com/deployment-manager/v2beta1/deployments/list#auth)**

Lists all deployments for a given project.
[Try it now](https://docs.cloud.google.com/deployment-manager/v2beta1/deployments/list#try-it).

## Request

### HTTP request

```
GET https://www.googleapis.com/deploymentmanager/v2beta1/projects/project/global/deployments
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `project` | `string` | The project ID for this request. |
| **Optional query parameters** |||
| `filter` | `string` | A regular expression to use for filtering listed resources. |
| `maxResults` | `integer` | Maximum count of results to be returned. Acceptable values are `0` to `100`, inclusive. (Default: `50`) |
| `pageToken` | `string` | Specifies a `nextPageToken` returned by a previous list request. This token can be used to request the next page of results from a previous list request. |

### Authorization

This request requires authorization with at least one of the following scopes ([read more about authentication and authorization](https://docs.cloud.google.com/deployment-manager/docs/reference/latest/authorization)).

| Scope |
|---|
| `https://www.googleapis.com/auth/ndev.cloudman.readonly` |
| `https://www.googleapis.com/auth/cloud-platform` |
| `https://www.googleapis.com/auth/ndev.cloudman` |

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a response body with the following structure:

```
{
  "deployments": [
    deployments Resource
  ],
  "nextPageToken": string
}
```

| Property name | Value | Description | Notes |
|---|---|---|---|
| `deployments[]` | `list` | \[Output Only\] A list of deployments for this project. |   |
| `nextPageToken` | `string` | \[Output Only\] A token used to continue a truncated list request. |   |

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.
Alternatively, try the
[standalone
Explorer](https://developers.google.com/apis-explorer/#p/deploymentmanager/v2beta1/deploymentmanager.deployments.list).